public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
* [edk2-sct PATCH 1/3] edk2-test: Add support for building extra packages
@ 2021-02-11 17:46 Grant Likely
  2021-02-11 17:46 ` [edk2-sct PATCH 2/3] edk2-test: use bash 'shift' in build.sh to manage arguments Grant Likely
                   ` (3 more replies)
  0 siblings, 4 replies; 14+ messages in thread
From: Grant Likely @ 2021-02-11 17:46 UTC (permalink / raw)
  To: devel, G Edhaya Chandran, Barton Gao
  Cc: nd, Samer El-Haj-Mahmoud, Grant Likely, Samer El-Haj-Mahmoud

The build.sh script is very useful for setting up the build environment
before calling the package build. Sometimes additional packages are
needed when building the SCT. (e.g., it is useful to build ShellPkg).
Refactor the build code to allow additional DSCs to be added to the
build.

This patch is useful when building a full SCT image that includes the
EDK2 shell.

Signed-off-by: Grant Likely <grant.likely@arm.com>
Cc: G Edhaya Chandran <Edhaya.Chandran@arm.com>
Cc: Barton Gao <gaojie@byosoft.com.cn>
Cc: Samer El-Haj-Mahmoud <samer.el-haj-mahmoud@arm.com>
---
 uefi-sct/SctPkg/build.sh | 34 +++++++++++++---------------------
 1 file changed, 13 insertions(+), 21 deletions(-)

diff --git a/uefi-sct/SctPkg/build.sh b/uefi-sct/SctPkg/build.sh
index 37667711..22cf9667 100755
--- a/uefi-sct/SctPkg/build.sh
+++ b/uefi-sct/SctPkg/build.sh
@@ -249,28 +249,20 @@ mkdir -p $DEST_DIR
 cp $EDK_TOOLS_PATH/Source/C/bin/GenBin $DEST_DIR/GenBin
 
 #
-# Build the SCT package
+# Build the packages needed for the SCT
+# Set $DSC_EXTRA to any extra packages needed for the build
 #
-build -p SctPkg/UEFI/UEFI_SCT.dsc -a $SCT_TARGET_ARCH -t $TARGET_TOOLS -b $SCT_BUILD $3 $4 $5 $6 $7 $8 $9
-
-# Check if there is any error
-status=$?
-if test $status -ne 0
-then
-  echo Could not build the UEFI SCT package
-  exit -1
-fi
-
-build -p SctPkg/UEFI/IHV_SCT.dsc -a $SCT_TARGET_ARCH -t $TARGET_TOOLS -b $SCT_BUILD $3 $4 $5 $6 $7 $8 $9
-
-# Check if there is any error
-status=$?
-if test $status -ne 0
-then
-  echo Could not build the IHV SCT package
-  exit -1
-fi
-
+for DSC in SctPkg/UEFI/UEFI_SCT.dsc SctPkg/UEFI/IHV_SCT.dsc $DSC_EXTRA
+do
+	build -p $DSC -a $SCT_TARGET_ARCH -t $TARGET_TOOLS -b $SCT_BUILD $3 $4 $5 $6 $7 $8 $9
+	# Check if there is any error
+	status=$?
+	if test $status -ne 0
+	then
+		echo Could not build package $DSC
+		exit -1
+	fi
+done
 
 #
 # If the argument is clean, then don't have to generate Sct binary.
-- 
2.20.1


^ permalink raw reply related	[flat|nested] 14+ messages in thread

end of thread, other threads:[~2021-02-22 12:58 UTC | newest]

Thread overview: 14+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-02-11 17:46 [edk2-sct PATCH 1/3] edk2-test: Add support for building extra packages Grant Likely
2021-02-11 17:46 ` [edk2-sct PATCH 2/3] edk2-test: use bash 'shift' in build.sh to manage arguments Grant Likely
2021-02-15 11:45   ` G Edhaya Chandran
2021-02-20 16:03   ` Samer El-Haj-Mahmoud
2021-02-22 12:50     ` [edk2-devel] " G Edhaya Chandran
2021-02-11 17:46 ` [edk2-sct PATCH 3/3] edk2-test: Helper script to build SCT+Shell in a bootable format Grant Likely
2021-02-15 12:30   ` G Edhaya Chandran
2021-02-19 18:01     ` Grant Likely
2021-02-19 18:39       ` G Edhaya Chandran
2021-02-22 12:58       ` [edk2-devel] " G Edhaya Chandran
2021-02-20 16:03   ` Samer El-Haj-Mahmoud
2021-02-15 11:43 ` [edk2-sct PATCH 1/3] edk2-test: Add support for building extra packages G Edhaya Chandran
2021-02-20 16:03 ` Samer El-Haj-Mahmoud
2021-02-22 12:17   ` [edk2-devel] " G Edhaya Chandran

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox